Skip to main content
GET
/
billing
/
org
/
v1
/
reports
List generated reports
curl --request GET \
  --url https://api.gcore.com/billing/org/v1/reports \
  --header 'Authorization: <api-key>'
{
  "count": 123,
  "results": [
    {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "user_id": 123,
      "client_id": 123,
      "task_type": "ClosingPeriod",
      "status": "Pending",
      "processing_notes": {
        "celery_group_id": "<string>",
        "period": "<string>",
        "records_to_process": 123,
        "errors": [
          {}
        ],
        "warnings": [
          {}
        ]
      },
      "parameters": {
        "type": "<string>",
        "date_from": "2023-12-25",
        "date_to": "2023-12-25",
        "client_id": 123
      }
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

client_id
integer
created_after
string<date-time>

Filter by creation date-time.

Returns items created after the specified date-time (ISO 8601/RFC 3339 format, UTC.)

You can specify a date with a time separated by a space, or just a date.

Examples:

  • &created_after=2025-05-15
  • &created_after=2025-05-15 12:00:00
  • &created_after=2025-05-15T12:00:00Z
created_before
string<date-time>

Filter by creation date-time.

Returns items created before the specified date-time (ISO 8601/RFC 3339 format, UTC.)

You can specify a date with a time separated by a space, or just a date.

Examples:

  • &created_before=2025-05-15
  • &created_before=2025-05-15 12:00:00
  • &created_before=2025-05-15T12:00:00Z
created_on
string<date>
limit
integer

Number of results to return per page. Maximum is 100.

offset
integer

The initial index from which to return the results.

ordering
enum<string>[]

Ordering of the results.

Default sort order is ascending. Put - before value for descending sort order: -id.

For sorting by multiple parameters write them as comma separated string: -client_id,id.

  • uuid - Uuid
  • -uuid - Uuid (descending)
  • created_at - Created at
  • -created_at - Created at (descending)
  • client_id - Client id
  • -client_id - Client id (descending)
  • task_type - Task type
  • -task_type - Task type (descending)
  • status - Status
  • -status - Status (descending)
  • template - Template
  • -template - Template (descending)
Available options:
-client_id,
-created_at,
-status,
-task_type,
-template,
-uuid,
client_id,
created_at,
status,
task_type,
template,
uuid
status
enum<string>[]

Filter by file task statuses. Can be multiple.

  • Pending - pending
  • InProgress - in_progress
  • Completed - completed
  • Failed - failed
  • Cancelled - cancelled
Available options:
Cancelled,
Completed,
Failed,
InProgress,
Pending
template
string

Filter by the type of the report template. Allows partial matches.

uuid
string

Filter by task UUID. Supports partial matches starting from the beginning.

Response

Request successful.

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"